/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worksealform.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.worksealform.entity.WorkSealForm;

import java.util.List;
import java.util.Map;

/**
 * 用印申请DAO接口
 * @author 丁旭
 * @version 2017-04-26
 */
@MyBatisDao
public interface WorkSealFormDao extends CrudDao<WorkSealForm> {

    /**
     * 更新流程实例ID
     * @param workSealForm
     * @return
     */
    public int updateProcessInstanceId(WorkSealForm workSealForm);

    /**
     * 获取当天出差list
     * @param workSealForm
     * @return
     */
    public List<WorkSealForm> findByCompany(WorkSealForm workSealForm);

    /**
     * 根据流程实例ID获取Leave
     * @param processInstanceId
     * @return
     */
    public WorkSealForm getByProcessInstanceId(String processInstanceId);

    List getCreateDateList(Map<String, String> map);

    List<WorkSealForm> findByCompany2(Map<String, Object> map);

    public List getCreateDateList1(Map<String,String> map);
    public List findByCompany1(Map<String,String> map);
    public List getCreateDateListAll(Map<String,String> map);
    public List findByCompanyAll(Map<String,String> map);
    public List<WorkSealForm> findByManage(Map<String,Object> map);
    public List<WorkSealForm> findByCompanySelf(Map<String,Object> map);
}